
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/polyfills-legacy.BdXXyG4Q.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/app-legacy.DPct6Ddx.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/VaultedContact-legacy.DdP6iwjK.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/DeliveryMethodSelectorSection-legacy.BgBRvDfW.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useUnauthenticatedErrorModal-legacy.g4j84MRj.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/AmazonPayPCIButton-legacy.DXiONtCl.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/CheckoutAsGuest-legacy.B5sPoexb.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useRefEffect-legacy.D5AuJtYq.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/ShopPayLogo-legacy.Bxie21ve.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/PickupPointCarrierLogo-legacy.B5GSDoBD.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/hooks-legacy.TDmCqJut.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/LocalizationExtensionField-legacy.tCo0PhsM.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useShowShopPayOptin-legacy.CST1QlxA.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/Rollup-legacy.DoWhud-d.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useShopPayRequiresVerification-legacy.D3vunj4i.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/Section-legacy.fPrVN9Bf.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/GooglePayPCIButton-legacy.CNjlHBFw.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/PayButtonSection-legacy.DN7S5xna.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/RageClickCapture-legacy.BQtxrDsi.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useInstallmentsErrorHandler-legacy.CvARyx4M.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/index-legacy.CKC1qmoD.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/DutyOptions-legacy.BcVVQmAy.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/SubscriptionPriceBreakdown-legacy.CyMDd3Sr.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useAmazonContact-legacy.Bx8Sc-rO.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/StockProblemsLineItemList-legacy.C1YK3S-h.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/useGetBuyWithPrimeCheckoutSessionId-legacy.L5abmPzD.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.it/index-legacy.C1OWFk3l.js"];
      var styles = [];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = [];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res, next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        function run() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        }
        var next = (self.requestIdleCallback || setTimeout).bind(self, run);
        next();
      }

      function onLoaded() {
        try {
          if (parseFloat(navigator.connection.effectiveType) > 2 && !navigator.connection.saveData) {
            preconnectAssets();
            prefetchAssets();
          }
        } catch (e) {}
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  