
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/polyfills-legacy.DA3VNpQe.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/app-legacy.m8DVJaU4.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/VaultedContact-legacy.A5EN46Nw.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/DeliveryMethodSelectorSection-legacy.C_nZrGkW.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useUnauthenticatedErrorModal-legacy.DpxoYkE0.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/AmazonPayPCIButton-legacy.DVLOREJW.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/CheckoutAsGuest-legacy.oPTgfXFD.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useRefEffect-legacy.DSPTmdqY.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/ShopPayLogo-legacy.B3qvkw-p.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/PickupPointCarrierLogo-legacy.D7Du-20n.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/hooks-legacy.Dgu2F9Z7.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/LocalizationExtensionField-legacy.NTD_E4Zv.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useShowShopPayOptin-legacy.OmMagkun.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/Rollup-legacy.BQqsYC2o.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useShopPayRequiresVerification-legacy.f0QVPd1Q.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/Section-legacy.BC9dDxZk.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/GooglePayPCIButton-legacy.Ch_s1TUQ.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/PayButtonSection-legacy.D7twqDr0.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/RageClickCapture-legacy.DibbvP9b.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useInstallmentsErrorHandler-legacy.BL4WPdxN.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/index-legacy.CvN8VEFr.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/DutyOptions-legacy.D_B4D2bT.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/SubscriptionPriceBreakdown-legacy.B7UTSahM.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useAmazonContact-legacy.9NSM3S5W.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/StockProblemsLineItemList-legacy.qNrz410F.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/useGetBuyWithPrimeCheckoutSessionId-legacy.DKmVB3De.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.hu/index-legacy.B3VoiWqL.js"];
      var styles = [];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = [];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res, next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        function run() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        }
        var next = (self.requestIdleCallback || setTimeout).bind(self, run);
        next();
      }

      function onLoaded() {
        try {
          if (parseFloat(navigator.connection.effectiveType) > 2 && !navigator.connection.saveData) {
            preconnectAssets();
            prefetchAssets();
          }
        } catch (e) {}
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  